Vulnerabilities (CVE)

Filtered by vendor Libreswan Subscribe
Filtered by product Libreswan
Total 13 CVE
CVE Vendors Products Updated CVSS v2 CVSS v3
CVE-2020-1763 1 Libreswan 1 Libreswan 2021-05-05 5.0 MEDIUM 7.5 HIGH
An out-of-bounds buffer read flaw was found in the pluto daemon of libreswan from versions 3.27 till 3.31 where, an unauthenticated attacker could use this flaw to crash libreswan by sending specially-crafted IKEv1 Informational Exchange packets. The daemon respawns after the crash.
CVE-2019-10155 5 Fedoraproject, Libreswan, Redhat and 2 more 5 Fedora, Libreswan, Enterprise Linux and 2 more 2020-09-30 3.5 LOW 3.1 LOW
The Libreswan Project has found a vulnerability in the processing of IKEv1 informational exchange packets which are encrypted and integrity protected using the established IKE SA encryption and integrity keys, but as a receiver, the integrity check value was not verified. This issue affects versions before 3.29.
CVE-2019-12312 1 Libreswan 1 Libreswan 2020-08-24 5.0 MEDIUM 7.5 HIGH
In Libreswan 3.27 an assertion failure can lead to a pluto IKE daemon restart. An attacker can trigger a NULL pointer dereference by initiating an IKEv2 IKE_SA_INIT exchange, followed by a bogus INFORMATIONAL exchange instead of the normallly expected IKE_AUTH exchange. This affects send_v2N_spi_response_from_state() in programs/pluto/ikev2_send.c that will then trigger a NULL pointer dereference leading to a restart of libreswan.
CVE-2013-7294 1 Libreswan 1 Libreswan 2018-01-03 5.0 MEDIUM N/A
The ikev2parent_inI1outR1 function in pluto/ikev2_parent.c in libreswan before 3.7 allows remote attackers to cause a denial of service (restart) via an IKEv2 I1 notification without a KE payload.
CVE-2013-6467 1 Libreswan 1 Libreswan 2017-08-29 5.0 MEDIUM N/A
Libreswan 3.7 and earlier allows remote attackers to cause a denial of service (NULL pointer dereference and IKE daemon restart) via IKEv2 packets that lack expected payloads.
CVE-2016-5391 2 Fedoraproject, Libreswan 2 Fedora, Libreswan 2017-06-21 5.0 MEDIUM 7.5 HIGH
libreswan before 3.18 allows remote attackers to cause a denial of service (NULL pointer dereference and pluto daemon restart).
CVE-2016-3071 2 Fedoraproject, Libreswan 2 Fedora, Libreswan 2017-02-07 5.0 MEDIUM 7.5 HIGH
Libreswan 3.16 might allow remote attackers to cause a denial of service (daemon restart) via an IKEv2 aes_xcbc transform.
CVE-2016-5361 1 Libreswan 1 Libreswan 2017-01-18 5.0 MEDIUM 7.5 HIGH
programs/pluto/ikev1.c in libreswan before 3.17 retransmits in initial-responder states, which allows remote attackers to cause a denial of service (traffic amplification) via a spoofed UDP packet. NOTE: the original behavior complies with the IKEv1 protocol, but has a required security update from the libreswan vendor; as of 2016-06-10, it is expected that several other IKEv1 implementations will have vendor-required security updates, with separate CVE IDs assigned to each.
CVE-2015-3240 1 Libreswan 1 Libreswan 2016-12-03 4.3 MEDIUM N/A
The pluto IKE daemon in libreswan before 3.15 and Openswan before 2.6.45, when built with NSS, allows remote attackers to cause a denial of service (assertion failure and daemon restart) via a zero DH g^x value in a KE payload in a IKE packet.
CVE-2015-3204 1 Libreswan 1 Libreswan 2016-12-03 5.0 MEDIUM N/A
libreswan 3.9 through 3.12 allows remote attackers to cause a denial of service (daemon restart) via an IKEv1 packet with (1) unassigned bits set in the IPSEC DOI value or (2) the next payload value set to ISAKMP_NEXT_SAK.
CVE-2013-4564 1 Libreswan 1 Libreswan 2014-02-25 5.0 MEDIUM N/A
Libreswan 3.6 allows remote attackers to cause a denial of service (crash) via a small length value and (1) no version or (2) an invalid major number in an IKE packet.
CVE-2013-7283 1 Libreswan 1 Libreswan 2014-01-10 9.3 HIGH N/A
Race condition in the libreswan.spec files for Red Hat Enterprise Linux (RHEL) and Fedora packages in libreswan 3.6 has unspecified impact and attack vectors, involving the /var/tmp/libreswan-nss-pwd temporary file.
CVE-2013-2052 1 Libreswan 1 Libreswan 2013-10-11 5.1 MEDIUM N/A
Buffer overflow in the atodn function in libreswan 3.0 and 3.1, when Opportunistic Encryption is enabled and an RSA key is being used, allows remote attackers to cause a denial of service (pluto IKE daemon crash) and possibly execute arbitrary code via crafted DNS TXT records. NOTE: this might be the same vulnerability as CVE-2013-2053 and CVE-2013-2054.